## com.sun.jersey.core.spi.factory
Class ContextResolverFactory

    java.lang.Object
      com.sun.jersey.core.spi.factory.ContextResolverFactory

    public class ContextResolverFactory

extends java.lang.Object

A factory for managing `ContextResolver` instances.

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`ContextResolverFactory()`

Method Summary
`void` `init(ProviderServices providersServices, InjectableProviderFactory ipf)`

`

`<T> javax.ws.rs.ext.ContextResolver<T>`

`

`resolve(java.lang.reflect.Type t, javax.ws.rs.core.MediaType m)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextResolverFactory

    public ContextResolverFactory()

Method Detail

### init

    public void init(ProviderServices providersServices,
                     InjectableProviderFactory ipf)

### resolve

    public <T> javax.ws.rs.ext.ContextResolver<T> resolve(java.lang.reflect.Type t,
                                                          javax.ws.rs.core.MediaType m)

Copyright © 2017 Oracle Corporation. All Rights Reserved.